AccountControllerConvertWindowsAccountToExternalAccount Method |
POST /Account/ConvertWindowsAccountToExternalAccount/{id}
Converts a Windows user/group account to an External user/group account.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("ConvertWindowsAccountToExternalAccount")]
public IActionResult ConvertWindowsAccountToExternalAccount(
Guid id,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("ConvertWindowsAccountToExternalAccount")>
Public Function ConvertWindowsAccountToExternalAccount (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"ConvertWindowsAccountToExternalAccount")]
IActionResult^ ConvertWindowsAccountToExternalAccount(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("ConvertWindowsAccountToExternalAccount")>]
member ConvertWindowsAccountToExternalAccount :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the account to be converted. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultA status code indicating success or the reason for failure.
See Also